S_BLOCK(3)

FUNCTION
s_block - Block a signal.

SYNOPSIS
#include <karma_s.h>

void s_block

(int signal)

DESCRIPTION
This routine will cause a signal to be blocked until a subsequent call to <-s_unblock-> or <-s_unblock_all->. If the signal is already blocked, no action is taken.

signal
    The signal to block.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/